import { T_LTWH, T_VIEWPORT } from "../types";
import { viewportToPdf } from "./coordinates";

const optimizeImageArea = (image, bound, viewport) => {
  console.log('optimizeImageArea bound:', bound);
  console.log('optimizeImageArea viewport:', viewport);
  const res = {
    image: image,
    imageArea: {
      rect: viewportToPdf(bound, viewport),
      usePdfCoordinates: true
    }
  };
  console.log('optimizeImageArea result:', res);
  return res;
};

export default optimizeImageArea;